1.31.0-wmf.22 deployment blockers
Closed, ResolvedPublicRelease

Description

The train is currently blocked by a serious issue in wmf.22: T187942: Replication lag detection broken in wmf.22

Details

Release Version
1.31.0-wmf.22
Release Date
Feb 19 2018, 12:00 AM

2018 week 08 1.31-wmf.22 Changes wmf/1.31-wmf.22

This MediaWiki Train Deployment is scheduled for the week of Monday, February 19th:

Monday February 19thTuesday, February 20thWednesday, February 21stThursday, February 22ndFriday
SWAT deployments onlyBranch wmf.22, Deploy to Group 0 WikisDeploy wmf.22 to Group 1 WikisDeploy wmf.22 to all WikisNo deployments on fridays

How this works

  • Any serious bugs affecting wmf.22 should be added as subtasks beneath this one.
  • Any open subtasks block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.

Related Links

Other Deployments

Previous: 1.31.0-wmf.21
Next: 1.31.0-wmf.23
greg created this task.Jan 2 2018, 6:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 2 2018, 6:59 PM
greg triaged this task as Normal priority.Jan 17 2018, 4:42 PM
greg assigned this task to mmodell.Feb 8 2018, 6:24 PM

Mentioned in SAL (#wikimedia-operations) [2018-02-20T19:57:27Z] <twentyafterfour> Cutting new branch wmf/1.31.0-wmf.22 - Deployment blockers: T183961

Mentioned in SAL (#wikimedia-operations) [2018-02-20T20:31:36Z] <twentyafterfour@tin> Started scap: Sync 1.31.0-wmf.22 and promote test wikis - refs T183961

Mentioned in SAL (#wikimedia-operations) [2018-02-20T21:18:36Z] <twentyafterfour@tin> Finished scap: Sync 1.31.0-wmf.22 and promote test wikis - refs T183961 (duration: 46m 59s)

mmodell updated the task description. (Show Details)Feb 21 2018, 9:00 PM
mmodell updated the task description. (Show Details)Feb 21 2018, 9:41 PM
greg added a subtask: Restricted Task.Feb 22 2018, 7:47 PM
greg closed this task as Resolved.Mar 1 2018, 9:41 PM